सामग्री पर जाएँ

Luma Ray 3.2 Text to Video

इंटीग्रेट करें

मॉडल id luma/agent/ray/v3.2/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/ray/v3.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.50 500 API क्रेडिट · ≈ ₽53.66 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Luma AI टेक्स्ट से वीडियो लिपसिंक5–10 s1080p तक #stylized#transform#lipsync

Ray 3.2 टेक्स्ट-टू-वीडियो, जिसमें 5s या 10s की क्लिप्स, छह आस्पेक्ट रेशियो, लूपिंग और EXR एक्सपोर्ट के साथ वैकल्पिक HDR है

Luma AI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 6000

बनाए जाने वाले वीडियो का text description।

duration 5 s

बनाए जा रहे वीडियो की लंबाई।

aspect_ratio डिफ़ॉल्ट 16:9

परिणामी वीडियो का आस्पेक्ट रेशियो।

resolution डिफ़ॉल्ट 540p

आउटपुट वीडियो का रिज़ॉल्यूशन।

उन्नत loop · enable_safety_checker
POST /run/luma/agent/ray/v3.2/text-to-video?wait=20 कोटेशन → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/ray/v3.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Luma Ray 3.2 Text to Video के बारे में

अधिकतम 6000 वर्णों वाले `prompt` से वीडियो बनाता है। `aspect_ratio` 3:4 से 21:9 तक, रिज़ॉल्यूशन 540p, 720p या 1080p और `duration` 5s या 10s होता है। `loop` केवल 5s standard-range क्लिप के लिए काम करता है, जबकि `hdr` के लिए 720p या 1080p आवश्यक है और यह 10s तथा loop को बाहर रखता है। HDR चालू होने पर `exr_export` एक EXR फ़ाइल जोड़ता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 6,000 अक्षर
बनाए जाने वाले वीडियो का text description।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
3:44:31:19:1616:921:9
परिणामी वीडियो का आस्पेक्ट रेशियो।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट540p
540p720p1080p
आउटपुट वीडियो का रिज़ॉल्यूशन।
durationवैकल्पिक
प्रकारenum
डिफ़ॉल्ट5s
5s10s
बनाए जा रहे वीडियो की लंबाई।
loopवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
Seamless-loop विकल्प, जिसके लिए ये सभी आवश्यक हैं: 5s duration, standard dynamic range और no end फ़्रेम।
hdrवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
720p या 1080p पर MP4 आउटपुट के लिए HDR encoding, जो केवल HDR पहुँच वाले accounts के लिए उपलब्ध है। HDR का उपयोग 10s duration या looping के साथ नहीं किया जा सकता।
exr_exportवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
MP4 के साथ अतिरिक्त EXR export, जो केवल HDR पहुँच और hdr=true दोनों के साथ उपलब्ध है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma/agent/ray/v3.2/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "exr_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।
exr_file
object {url, content_type, file_name, file_size} | nullLuma के exports के रूप में EXR sidecar: या तो एक EXR फ़ाइल या ZIP archive। यह exr_export के true होने पर बनाया जाता है।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/luma/agent/ray/v3.2/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt